Click or drag to resize

HatchCreateDisplayGeometry Method

Generate geometry that would be used to draw the hatch with a given hatch pattern

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public void CreateDisplayGeometry(
	HatchPattern pattern,
	double patternScale,
	out Curve[] bounds,
	out Line[] lines,
	out Brep solidBrep
)

Parameters

pattern
Type: Rhino.DocObjectsHatchPattern

[Missing <param name="pattern"/> documentation for "M:Rhino.Geometry.Hatch.CreateDisplayGeometry(Rhino.DocObjects.HatchPattern,System.Double,Rhino.Geometry.Curve[]@,Rhino.Geometry.Line[]@,Rhino.Geometry.Brep@)"]

patternScale
Type: SystemDouble

[Missing <param name="patternScale"/> documentation for "M:Rhino.Geometry.Hatch.CreateDisplayGeometry(Rhino.DocObjects.HatchPattern,System.Double,Rhino.Geometry.Curve[]@,Rhino.Geometry.Line[]@,Rhino.Geometry.Brep@)"]

bounds
Type: Rhino.GeometryCurve

[Missing <param name="bounds"/> documentation for "M:Rhino.Geometry.Hatch.CreateDisplayGeometry(Rhino.DocObjects.HatchPattern,System.Double,Rhino.Geometry.Curve[]@,Rhino.Geometry.Line[]@,Rhino.Geometry.Brep@)"]

lines
Type: Rhino.GeometryLine

[Missing <param name="lines"/> documentation for "M:Rhino.Geometry.Hatch.CreateDisplayGeometry(Rhino.DocObjects.HatchPattern,System.Double,Rhino.Geometry.Curve[]@,Rhino.Geometry.Line[]@,Rhino.Geometry.Brep@)"]

solidBrep
Type: Rhino.GeometryBrep

[Missing <param name="solidBrep"/> documentation for "M:Rhino.Geometry.Hatch.CreateDisplayGeometry(Rhino.DocObjects.HatchPattern,System.Double,Rhino.Geometry.Curve[]@,Rhino.Geometry.Line[]@,Rhino.Geometry.Brep@)"]

Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.2
See Also